Vulnerabilities (CVE)

Filtered by vendor Vim Subscribe
Filtered by product Vim
Total 91 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2022-1898 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-20 6.8 MEDIUM 7.8 HIGH
Use After Free in GitHub repository vim/vim prior to 8.2.
CVE-2022-1968 1 Vim 1 Vim 2022-06-20 6.8 MEDIUM 7.8 HIGH
Use After Free in GitHub repository vim/vim prior to 8.2.
CVE-2021-3903 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-20 4.6 MEDIUM 7.8 HIGH
vim is vulnerable to Heap-based Buffer Overflow
CVE-2022-1851 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-20 6.8 MEDIUM 7.8 HIGH
Out-of-bounds Read in GitHub repository vim/vim prior to 8.2.
CVE-2022-0417 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-20 6.8 MEDIUM 7.8 HIGH
Heap-based Buffer Overflow GitHub repository vim/vim prior to 8.2.
CVE-2022-0943 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-20 4.6 MEDIUM 7.8 HIGH
Heap-based Buffer Overflow occurs in vim in GitHub repository vim/vim prior to 8.2.4563.
CVE-2022-2042 1 Vim 1 Vim 2022-06-17 7.5 HIGH 9.8 CRITICAL
Use After Free in GitHub repository vim/vim prior to 8.2.
CVE-2022-2000 1 Vim 1 Vim 2022-06-17 6.8 MEDIUM 7.8 HIGH
Out-of-bounds Write in GitHub repository vim/vim prior to 8.2.
CVE-2022-1942 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-08 6.8 MEDIUM 7.8 HIGH
Heap-based Buffer Overflow in GitHub repository vim/vim prior to 8.2.
CVE-2022-1897 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-08 6.8 MEDIUM 7.8 HIGH
Out-of-bounds Write in GitHub repository vim/vim prior to 8.2.
CVE-2022-1927 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-08 7.5 HIGH 9.8 CRITICAL
Buffer Over-read in GitHub repository vim/vim prior to 8.2.
CVE-2022-1886 1 Vim 1 Vim 2022-06-07 6.8 MEDIUM 7.8 HIGH
Heap-based Buffer Overflow in GitHub repository vim/vim prior to 8.2.
CVE-2022-1160 2 Fedoraproject, Vim 2 Fedora, Vim 2022-06-02 6.8 MEDIUM 7.8 HIGH
heap buffer overflow in get_one_sourceline in GitHub repository vim/vim prior to 8.2.4647.
CVE-2022-1154 3 Debian, Fedoraproject, Vim 3 Debian Linux, Fedora, Vim 2022-06-02 7.5 HIGH 9.8 CRITICAL
Use after free in utf_ptr2char in GitHub repository vim/vim prior to 8.2.4646.
CVE-2022-1796 1 Vim 1 Vim 2022-05-26 6.8 MEDIUM 7.8 HIGH
Use After Free in GitHub repository vim/vim prior to 8.2.4979.
CVE-2022-1785 1 Vim 1 Vim 2022-05-26 4.6 MEDIUM 7.8 HIGH
Out-of-bounds Write in GitHub repository vim/vim prior to 8.2.4977.
CVE-2022-1771 1 Vim 1 Vim 2022-05-26 4.3 MEDIUM 5.5 MEDIUM
Uncontrolled Recursion in GitHub repository vim/vim prior to 8.2.4975.
CVE-2022-1733 2 Fedoraproject, Vim 2 Fedora, Vim 2022-05-26 4.6 MEDIUM 7.8 HIGH
Heap-based Buffer Overflow in GitHub repository vim/vim prior to 8.2.4968.
CVE-2022-1769 2 Fedoraproject, Vim 2 Fedora, Vim 2022-05-26 4.6 MEDIUM 7.8 HIGH
Buffer Over-read in GitHub repository vim/vim prior to 8.2.4974.
CVE-2022-1735 1 Vim 1 Vim 2022-05-25 6.8 MEDIUM 7.8 HIGH
Classic Buffer Overflow in GitHub repository vim/vim prior to 8.2.4969.